get_wallet_risk_overview
curl --request POST \
--url https://pro-api.nikiwa.com/api/tools/get_wallet_risk_overview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wallet_address": "<string>",
"network": "<string>"
}
'import requests
url = "https://pro-api.nikiwa.com/api/tools/get_wallet_risk_overview"
payload = {
"wallet_address": "<string>",
"network": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({wallet_address: '<string>', network: '<string>'})
};
fetch('https://pro-api.nikiwa.com/api/tools/get_wallet_risk_overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balance": 2,
"txs_count": 6,
"total_received": 3,
"total_spent": 1,
"received_txs_count": 4,
"spent_txs_count": 2,
"first_seen": 1767225600,
"last_seen": 1769860800
}Tools
get_wallet_risk_overview
Wallet activity overview: balance, transaction counts, received and spent amounts, and first/last activity.
POST
/
api
/
tools
/
get_wallet_risk_overview
get_wallet_risk_overview
Reading the result
The response example uses made-up values and shows selected fields. Fields vary by network and available data.- Despite the endpoint name, this returns balance and transaction activity. Use Wallet risk score for security findings.
-
balance,total_received, andtotal_spentdescribe amounts in the queried asset. The*_txs_countfields count incoming and outgoing transactions. -
first_seenandlast_seenare Unix timestamps in seconds.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Wallet activity overview: balance, transaction counts, received and spent amounts, and first/last activity. Fields vary by network and available data. Check for status: no_data, status: error, or an error field even when HTTP status is 200. See Errors & status.
Response fields depend on the network and available data. The example shows selected fields; see Reading the result for details.
Was this page helpful?